<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="utf-8">
        <title>TCE</title>
        <link href="css/bootstrap.min.css" rel="stylesheet">
    </head>
    <body>
		<h1 align="center">Télémesure de Consommation Électrique</h1>
		<table class="table table-striped">
			<thead>
				<th>Donnée</th>
				<th>Valeur</th>
				<th>Unité</th>
			</thead>
			<tbody>
			<?php
				$address = "10.10.13.252";
				$port = "2300";
				/* Cree une socket TCP/IP. */
				$socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
				if ($socket == false) 
				{
				    echo "socket_create() a échoué : raison :  " . socket_strerror(socket_last_error()) . "<br />";
				} 
				else 
				{
				    //echo "Creation Socket OK.<br />";
				}

				$result = socket_connect($socket, $address, $port);
				if ($result == false) 
				{
				    echo "socket_connect() a échoué : raison : ($result) " . socket_strerror(socket_last_error($socket)) . "<br />";
				} 
				else 
				{
				    //echo "Connection Socket OK.<br />";
				}

				//echo "Lecture de la trame : <br />";
				sleep(2);
				$trame = socket_read($socket, 2048);
				
				$lgTrame = strlen($trame);
				//echo "Longueur de la trame : ".$lgTrame."<br />";
				
				//echo $trame;

				if ($lgTrame >= 170)
				{
					$position = strpos($trame,"HCHC");
					$HCHC = substr($trame,$position+5,9);
					//echo "Index heures creuses : ".$HCHC."<br />";
			        echo "<tr>";
			        echo "<td>". "Index heures creuses"."</td>";
			        echo "<td>".$HCHC."</td>";
			        echo "<td>"."Wh"."</td>";
			        echo "</tr>";

					$position = strpos($trame,"HCHP");
					$HCHP = substr($trame,$position+5,9);
					//echo "Index heures pleines : ".$HCHP."<br />";
			        echo "<tr>";
			        echo "<td>". "Index heures pleines"."</td>";
			        echo "<td>".$HCHP."</td>";
			        echo "<td>"."Wh"."</td>";
			        echo "</tr>";

					$position = strpos($trame,"PAPP");
					$PAPP = substr($trame,$position+5,5);
					//echo "Puissance apparente : ".$PAPP."<br />";
			        echo "<tr>";
			        echo "<td>". "Puissance apparente"."</td>";
			        echo "<td>".$PAPP."</td>";
			        echo "<td>"."VA"."</td>";
			        echo "</tr>";

					socket_close($socket);
				}
				//$result = socket_close($socket);
			?>
			</tbody>
		</table>
	</body>
</html>

